<template>
    <div class="header">
        <!-- 折叠按钮 -->
        <div class="collapse-btn" @click="collapseChage">
            <i v-if="!collapse" class="el-icon-s-fold"></i>
            <i v-else class="el-icon-s-unfold"></i>
        </div>
        <div class="logo">{{title}}</div>
        <div class="header-right">
            <div class="header-user-con">
				<!--  -->
				<div class="serve">客服电话：{{phone}}</div>
				<div class="official" @click="join">官网首页</div>
                <!-- 全屏显示 -->
                <div class="btn-fullscreen" @click="handleFullScreen">
                    <el-tooltip effect="dark" :content="fullscreen?`取消全屏`:`全屏`" placement="bottom">
                        <i class="el-icon-rank"></i>
                    </el-tooltip>
                </div>
                <!-- 消息中心 -->
                <div class="btn-bell">
                    <el-tooltip
                        effect="dark"
                        content="有1条未读消息:消息中心"
                        placement="bottom"
                    >
                        <router-link to="/tabs">
                            <i class="el-icon-bell"></i>
                        </router-link>
                    </el-tooltip>
                    <span class="btn-bell-badge" v-if="message"></span>
                </div>
                <!-- 用户头像 -->
                <div class="user-avator">
                    {{companyName}}
                </div>
                <!-- 用户名下拉菜单 -->
                <el-dropdown trigger="click" @command="handleCommand">
                      <span class="el-dropdown-link">
                       <i class="el-icon-arrow-down el-icon--right"></i>
                      </span>
                      <el-dropdown-menu slot="dropdown">
                        <el-dropdown-item command="a">退出登录</el-dropdown-item>
                      </el-dropdown-menu>
                    </el-dropdown>
            </div>
        </div>
    </div>
</template>
<script>
import {requestUrl,homeUrl} from "@utils/common.js"
	import { userInfo,getMessagephone} from '@api/common/list'
import bus from '../common/bus';
export default {
    data() {
        return {
            phone:'',
            organlist: '',
            collapse: false,
            fullscreen: false,
            message: 2,
            user: '',
            organname: '',
			companyName:"",
			title:""
        };
    },
    computed: {
    
    },
    methods: {
		async getUserInfo(){
		     try {
		       const {
		         data,
		         code
		       } = await userInfo()
			   if(code==200){
				   console.log(data)
				   this.companyName=data.companyName;
				   localStorage.setItem("companyId",data.companyId)
				   let userInfo=JSON.stringify(data)
				   localStorage.setItem("userInfo",userInfo)
				   let type=data.type;
				   if(type==1){
					   this.title="采购商"
				   }else{
					   this.title="供应商"
				   }
				    bus.$emit('menuList', data.menuList);
			   }
		     } catch (e) {
		       console.log(e)
		     }
		   },
       join(){
		   window.location.href=`${homeUrl}`
		    // window.location.href=" http://localhost:3000/"
	   },
        // 用户名下拉菜单选择事件
      handleCommand(command) {
		 localStorage.removeItem("token")
		 setTimeout(()=>{
			  window.location.href=`${homeUrl}`
			  // window.location.href=" http://localhost:3000/"
		 },1000)
		 
      },
        // 侧边栏折叠
        collapseChage() {
		
            this.collapse = !this.collapse;
				console.log(this.collapse)
            bus.$emit('collapse', this.collapse);
        },
        // 全屏事件
        handleFullScreen() {
            let element = document.documentElement;
            if (this.fullscreen) {
                if (document.exitFullscreen) {
                    document.exitFullscreen();
                } else if (document.webkitCancelFullScreen) {
                    document.webkitCancelFullScreen();
                } else if (document.mozCancelFullScreen) {
                    document.mozCancelFullScreen();
                } else if (document.msExitFullscreen) {
                    document.msExitFullscreen();
                }
            } else {
                if (element.requestFullscreen) {
                    element.requestFullscreen();
                } else if (element.webkitRequestFullScreen) {
                    element.webkitRequestFullScreen();
                } else if (element.mozRequestFullScreen) {
                    element.mozRequestFullScreen();
                } else if (element.msRequestFullscreen) {
                    // IE11
                    element.msRequestFullscreen();
                }
            }
            this.fullscreen = !this.fullscreen;
        },
        /* 获取客服电话 */
        async getMessagephone(){
            const {data} = await getMessagephone()
            console.log(data)
            this.phone = data.phone
        }
    
    },
    mounted() {
        if (document.body.clientWidth < 1500) {
            this.collapseChage();
        }
    },
    created() {
     this.getUserInfo();
     this.getMessagephone()

    }
};
</script>
<style scoped>
	.serve{
		font-size: 16px;
	}
	.official{
		font-size: 16px;
		color:#0069D9;
		margin: 0 30px
	}
.kuai {
    background: #fff;
    width: 10px;
    height: 50px;
    position: absolute;
    right: 80px;
    top: 0px;
    opacity: 0;
}
.change > p {
    font-size: 14px;
}
.change {
    text-align: center;
}
.change:hover .organlist {
    display: block;
}
.organlist {
    position: absolute;
    right: 88px;
    top: 0px;
    z-index: 999;
    background: #fff;
    border-radius: 5px;
    display: none;
}
.organlist > li {
    color: #000;
    width: 80px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    font-size: 14px;
    border-bottom: 1px solid #eee;
    overflow: hidden;
    cursor: pointer;
}
.header {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 70px;
    font-size: 22px;
    color: #fff;
}
.collapse-btn {
    float: left;
    padding: 0 21px;
    cursor: pointer;
    line-height: 70px;
}
.header .logo {
    float: left;
    width: 250px;
    line-height: 70px;
}
.header-right {
    float: right;
    padding-right: 50px;
}
.header-user-con {
    display: flex;
    height: 70px;
    align-items: center;
}
.btn-fullscreen {
    transform: rotate(45deg);
    margin-right: 5px;
    font-size: 24px;
}
.btn-bell,
.btn-fullscreen {
    position: relative;
    width: 30px;
    height: 30px;
    text-align: center;
    border-radius: 15px;
    cursor: pointer;
	margin-top: 6px;
}
.btn-bell-badge {
    position: absolute;
    right: 0;
    top: -2px;
    width: 8px;
    height: 8px;
    border-radius: 4px;
    background: #f56c6c;
    color: #fff;
}
.btn-bell .el-icon-bell {
    color: #fff;
}
.user-name {
    margin-left: 10px;
}
.user-avator {
    margin-left: 20px;
}
.user-avator img {
    display: block;
    width: 40px;
    height: 40px;
    border-radius: 50%;
}
.el-dropdown-link {
    color: #fff;
    cursor: pointer;
}
.el-dropdown-menu__item {
    text-align: center;
}
</style>
